function [Density_percc,T_calc] = Calc_Density(TC_reading)


kb=1.3806504E-23;
%%%%%%%%%%%%%%temp calibration sub-section
%TCV=2.645;
TCV=TC_reading;

d_0=0; 
d_1=2.508355E1; 
d_2=7.860106E-2; 
d_3=-2.503131E-1;  
d_4=8.315270E-2; 
d_5=-1.228034E-2;
d_6=9.804036E-04; 
d_7=-4.413030E-05;  
d_8=1.057734E-06;  
d_9=-1.052755E-08; 

T_calc=22+d_0+d_1*TCV+d_2*TCV^2+d_3*TCV^3+d_4*TCV^4+d_5*TCV^5+d_6*TCV^6+d_7*TCV^7+d_8*TCV^8+d_9*TCV^9;
 
%%%%%%%%%% density calculation sub-section
 T=273+T_calc;
 
%from steck, 
 L_Pv_87=15.88253-4529.635/T+.0005863*T-2.99138*Log10(T);
 L_Pv_85=2.881+4.312-4040/T;
 Pv_87=10^(L_Pv_87);
 Pv_85=10^(L_Pv_85);
 
 Pv=.72*Pv_85+.28*Pv_87;
 
 %weighted average for two isotopes?
 
 Density=Pv*133.322/(kb*T);%converting pressure from log of pressure in Torr, to Density/m^3 
 Density_percc=Density/100^3;

%N=5.6E12*100^3;
%N=Density_percc
%N=N*1/3;  %appears 1/3 smaller because of isotropic-ness of laser since all 
%the mf's are degenerate